package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaHotelWorker;
import com.yunzhi.shigongli.mapper.TaHotelWorkerMapper;
import com.yunzhi.shigongli.service.ITaHotelWorkerService;

import com.yunzhi.shigongli.vo.HotelWorkerListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 民宿员工 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaHotelWorkerServiceImpl extends BaseServiceImpl<TaHotelWorkerMapper, TaHotelWorker> implements ITaHotelWorkerService {

    @Autowired
    TaHotelWorkerMapper hotelWorkerMapper;

    @Override
    public IPage<HotelWorkerListVO> getPagedListBy(IPage<HotelWorkerListVO> pg, String hotelId) {
        return hotelWorkerMapper.getPagedListBy(pg, hotelId);
    }
}
