package com.yunzhi.shigongli.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaShopWorker;
import com.yunzhi.shigongli.mapper.TaShopWorkerMapper;
import com.yunzhi.shigongli.service.ITaShopWorkerService;
import com.yunzhi.shigongli.vo.ShopWorkerListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 民宿员工 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaShopWorkerServiceImpl extends BaseServiceImpl<TaShopWorkerMapper, TaShopWorker> implements ITaShopWorkerService {

    @Autowired
    TaShopWorkerMapper shopWorkerMapper;

    @Override
    public IPage<ShopWorkerListVO> getPagedListBy(IPage<ShopWorkerListVO> pg, String shopId) {
        return shopWorkerMapper.getPagedListBy(pg, shopId);
    }
}
